Because Apple hasn’t shipped a new version of their Server app since 2015, and instead they have been only releasing updates, the compatibility of Server app 5 is complicated:

  • Server app 5.0-5.1 will run on either Mac OS 10.10 or 10.11
  • Server app 5.2 will run on either Mac OS 10.11 or 10.12
  • Server 5.3 will only run on Mac OS 10.12.4 or later

Server app 5.0-5.2 is no longer available.  If you have a Mac running 10.10 or 10.11, and want to purchase/install the $19.99 Server app, you must first update the OS to 10.12.  If you have a Mac running 10.10 and Server app 5.0, you cannot upgrade to 5.1.  If you have a Mac running 10.11 and Server app 5.0, you cannot upgrade to 5.1 or 5.2.  The only available update path is to upgrade the OS to 10.12, then update Server app to 5.3.  This is not something that should be done with a project plan and a complete backup to roll back to.